---
updatedAt: 2026-03-18T13:50:07.000Z
agentTools:
  projectIndex: https://apidocs.solink.com/llms.txt
---

# List Cameras

To fetch available cameras under your account, use the following endpoint that uses pagination with 100 records per page. Include the deviceId as a query parameter to fetch the cameras connected to a specific device.

### Sample Request

```Text cURL
curl --request GET \
     --url https://api-prod-us-west-2.solinkcloud.com/v2/cameras \
     --header 'Authorization: Bearer {ACCESS_TOKEN}' \
     --header 'x-api-key: {API_KEY}'
```

### Sample Response

```json
[
  {
    "id": "4a9b9e20-325b-11ef-bcc7-07ebcea683b3",
    "deviceId": "969da780-3258-11ef-8184-b3b92604ea67",
    "name": "360 Over Food Prep",
    "status": "online",
    "siteId": "174da780-3258-11ef-8184-b3b92604ea69",
    "streams": [
      {
        "id": "e6bfbe9a-0a7e-41f5-ea1b-d5eadc3614e2",
        "name": "HD",
        "retention": 7,
        "dimensions": {
          "width": 2560,
          "height": 2048
        },
        "fps": 7.66,
        "average_bps": 708774,
        "earliestSegmentDate": "1740605210225"
      }
    ],
    "ip": "10.10.0.202",
    "manufacturer": null,
    "model": null,
    "serialNumber": null
  }
]
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-prod-us-west-2",
    "version": "2.0"
  },
  "servers": [
    {
      "url": "https://api-prod-us-west-2.solinkcloud.com/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "x-api-key"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/cameras": {
      "get": {
        "description": "",
        "operationId": "get_new-endpoint",
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "examples": {
                  "newExample": {
                    "summary": "newExample",
                    "value": [
                      {
                        "id": "4a9b9e20-325b-11ef-bcc7-07ebcea683b3",
                        "deviceId": "969da780-3258-11ef-8184-b3b92604ea67",
                        "name": "360 Over Food Prep",
                        "status": "online",
                        "siteId": "174da780-3258-11ef-8184-b3b92604ea69",
                        "streams": [
                          {
                            "id": "e6bfbe9a-0a7e-41f5-ea1b-d5eadc3614e2",
                            "name": "HD",
                            "retention": 7,
                            "dimensions": {
                              "width": 2560,
                              "height": 2048
                            },
                            "fps": 7.66,
                            "average_bps": 708774,
                            "earliestSegmentDate": "1740605210225"
                          }
                        ],
                        "ip": "10.10.0.202",
                        "manufacturer": null,
                        "model": null,
                        "serialNumber": null
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        "parameters": [
          {
            "name": "deviceId (deprecated)",
            "in": "query",
            "required": false,
            "description": "Filters cameras to a specific device based on its unique ID.",
            "schema": {
              "type": "string",
              "default": ""
            }
          },
          {
            "name": "offset",
            "in": "query",
            "required": false,
            "description": "Indicates the number of records to skip.",
            "schema": {
              "type": "integer",
              "default": ""
            }
          },
          {
            "name": "siteId",
            "in": "query",
            "required": false,
            "description": "Filters cameras to a specific site based on its unique ID. ",
            "schema": {
              "type": "string",
              "default": ""
            }
          }
        ]
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```